KeyFactory.Generator (cglib (Version 2.2.2))
Date: 2024-01-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.core
Class KeyFactory.Generator

    java.lang.Object
      net.sf.cglib.core.AbstractClassGenerator
          net.sf.cglib.core.KeyFactory.Generator

All Implemented Interfaces:
  ClassGenerator

Enclosing class:
  KeyFactory

    public static class KeyFactory.Generator

extends AbstractClassGenerator

Constructor Summary
`KeyFactory.Generator()`

Method Summary
`KeyFactory` | `create()`
`void` | `generateClass(org.objectweb.asm.ClassVisitor v)`
`void` | `setCustomizer(Customizer customizer)`
`void` | `setHashConstant(int constant)`
`void` | `setHashMultiplier(int multiplier)`
`void` | `setInterface(java.lang.Class keyInterface)`

Methods inherited from class net.sf.cglib.core.AbstractClassGenerator
`getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyFactory.Generator

    public KeyFactory.Generator()

Method Detail

### setCustomizer

    public void setCustomizer(Customizer customizer)

### setInterface

    public void setInterface(java.lang.Class keyInterface)

### create

    public KeyFactory create()

### setHashConstant

    public void setHashConstant(int constant)

### setHashMultiplier

    public void setHashMultiplier(int multiplier)

### generateClass

    public void generateClass(org.objectweb.asm.ClassVisitor v)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation